Package org.apache.sysds.runtime.controlprogram

# Enum Class ParForProgramBlock.PTaskPartitioner

java.lang.Object
java.lang.Enum<ParForProgramBlock.PTaskPartitioner>
org.apache.sysds.runtime.controlprogram.ParForProgramBlock.PTaskPartitioner

All Implemented Interfaces:
  `Serializable`, `Comparable<ParForProgramBlock.PTaskPartitioner>`, `Constable`

Enclosing class:
  ParForProgramBlock

public static enum ParForProgramBlock.PTaskPartitioner extends Enum<ParForProgramBlock.PTaskPartitioner>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FACTORING`
`FACTORING_CMAX`
`FACTORING_CMIN`
`FIXED`
`NAIVE`
`STATIC`
`UNSPECIFIED`

## Method Summary

Modifier and Type
Method
Description
`static ParForProgramBlock.PTaskPartitioner`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ParForProgramBlock.PTaskPartitioner[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FIXED

public static final ParForProgramBlock.PTaskPartitioner FIXED

### NAIVE

public static final ParForProgramBlock.PTaskPartitioner NAIVE

### STATIC

public static final ParForProgramBlock.PTaskPartitioner STATIC

### FACTORING

public static final ParForProgramBlock.PTaskPartitioner FACTORING

### FACTORING_CMIN

public static final ParForProgramBlock.PTaskPartitioner FACTORING_CMIN

### FACTORING_CMAX

public static final ParForProgramBlock.PTaskPartitioner FACTORING_CMAX

### UNSPECIFIED

public static final ParForProgramBlock.PTaskPartitioner UNSPECIFIED

## Method Details

### values

public static ParForProgramBlock.PTaskPartitioner[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ParForProgramBlock.PTaskPartitioner valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null